# Testing

## Using `assert`

> Some testing is better then no testing

## Unit test

## Using a testing framework

## Code coverage

## Adding test to your code

## References

https://goodresearch.dev/testing.html

https://testandcode.com/

- https://testandcode.com/193
- https://testandcode.com/140

https://the-turing-way.netlify.app/reproducible-research/testing.html
